#!/bin/bash

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
source "$SCRIPT_DIR/shared/_common.sh"


A_SERVICE="$1"
A_SERVICE_PATH="$2"


# 1. Check if service directory exists on server
[ -d "$A_SERVICE_PATH" ] || _die "Service is not installed: $A_SERVICE"

# uninstall the service
if [ -f "$A_SERVICE_PATH/uninstall.sh" ]; then
    $A_SERVICE_PATH/uninstall.sh
fi

# nuke the service
if [ -f "$A_SERVICE_PATH/nuke.sh" ]; then
    $A_SERVICE_PATH/nuke.sh
fi

# remove the service directory
rm -rf "$A_SERVICE_PATH"
